//package poo;

import java.awt.GridLayout;
import java.text.SimpleDateFormat;
import java.util.Calendar;

import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JLabel;

import sun.util.calendar.BaseCalendar.Date;
/**
 * clase que extiende Jdialog.
 */

public class JDialogAbout extends JDialog{
	/**
	 * Esta clase configura la ventana de dialogo que se mustra luego de seleccionar About--> about.
	 * La que contiene la informacion del ramo y los integrantes del grupo que realizaron esta tarea.
	 */	
	
	public JDialogAbout(JFrame owner){
		super(owner,"ABOUT", true);
		InitUI();
	}

	
	public void InitUI(){
		setResizable(false);
	    Calendar cal = Calendar.getInstance();
	    SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");

		setLayout(new GridLayout(9, 1));
		add(new JLabel("Diseño y Programación Orientados a Objetos"));
		add(new JLabel(""));
		add(new JLabel("Integrantes :"));
		add(new JLabel("- Daniel Caro Peñaloza"));
		add(new JLabel("- José González"));
		add(new JLabel(""));
		add(new JLabel("Profesor : Agustín J. González "));
		add(new JLabel(""));
		add(new JLabel("Fecha : " + sdf.format(cal.getTime())));
		setLocationRelativeTo(null); 
		pack();
		setVisible(true);
	}
}
